version: "3.3"

volumes:
    local_mysql_data: {}
services:
    web:
        build:
            context: .
            dockerfile: ./compose/local/php/Dockerfile
        image:
            shipeu_local_php
        ports:
            - "8081:80"
        volumes:
            - .:/var/www
        expose:
            - 80
    
    mysql:
        build:
            context: .
            dockerfile: ./compose/local/mysql/Dockerfile
        image: shipeu_local_mysql
        ports:
            - "3306:3306"
        volumes:
            - local_mysql_data:/var/lib/mysql
            - ./compose/local/mysql/my:/etc/mysql/conf.d
        environment:
            - "MYSQL_ROOT_PASSWORD=13547903"
        expose:
            - 3306